# `@netlify/sdk--ui-react`

A React-based toolkit for building UI extensions on top of the Netlify platform.

## Documentation

See the [Netlify SDK documentation](https://developers.netlify.com/sdk/) for more information.

## Installation

Consuming this package directly is not supported; you should instead consume this library via the `@netlify/sdk` package, which exposes a stable interface over this package.

## Development

This package depends on other packages in the SDK monorepo. It's recommended that you build the entire project to make sure that all dependencies are built:

```sh
$ pnpm install
$ pnpm -w run build
```

When making more than a few small changes, you can build the entire project in watch mode:

```sh
$ pnpm -w run build:watch
```

You can develop components using Storybook:

```sh
$ pnpm --filter=@netlify/sdk--ui-react run storybook
```

(The feedback loop in Storybook is tighter than building and serving an extension.)

### Further Documentation

- [Adding New Components](./docs-internal/adding_new_components.md)
- [Adding New Icons](./docs-internal/adding_new_icons.md)
